Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228888 - udevtrigger crashes during bootup with non fedora kernels
Summary: udevtrigger crashes during bootup with non fedora kernels
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-15 19:10 UTC by Norman R. Weathers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-16 13:59:37 UTC


Attachments (Terms of Use)
strace of udevtrigger running with args --verbose --dry-run (deleted)
2007-02-15 19:10 UTC, Norman R. Weathers
no flags Details

Description Norman R. Weathers 2007-02-15 19:10:25 UTC
Description of problem:
On bootup, udevtrigger segfaults, and so many devices are not created during
bootup.  Also, if you try and run udevtrigger later, it hangs.  This is with a
non Fedora kernel (2.6.19.2-cks2 and a vanilla 2.6.20)

Version-Release number of selected component (if applicable):
udev-095-17.fc6

How reproducible:
Always

Steps to Reproduce:
1. Reboot with new kernel

  
Actual results:
During bootup, the following panic is given:

Unable to handle kernel paging request at 0000000000003831 RIP:
 [<ffffffff802409e6>] strcmp+0x0/0x1a
PGD 0
Oops: 0000 [1] SMP
CPU 0
Modules linked in: qla2xxx scsi_transport_fc sata_nv libata sd_mod scsi_mod
ehci_hcd ohci_hcd uhci_hcd
Pid: 551, comm: udevtrigger Not tainted 2.6.20 #3
RIP: 0010:[<ffffffff802409e6>]  [<ffffffff802409e6>] strcmp+0x0/0x1a
RSP: 0018:ffff81011d447c00  EFLAGS: 00010246
RAX: 0000000000003831 RBX: ffff810120c10970 RCX: ffff810121b5f830
RDX: ffff8101210a3878 RSI: ffff810120c10a1c RDI: 0000000000003831
RBP: ffff8101210a3870 R08: ffff810121c45080 R09: ffff810121c45080
R10: 0000000000000003 R11: ffffffff8022b76c R12: ffff8101210a3910
R13: ffff8101210a4bf8 R14: ffff81011d447e48 R15: ffff81011d447cb8
FS:  00002ac1d4bf0710(0000) GS:ffffffff805c5000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000003831 CR3: 0000000121f89000 CR4: 00000000000006e0
Process udevtrigger (pid: 551, threadinfo ffff81011d446000, task ffff81012181e7f0)
Stack:  ffffffff8024935e ffff810120c10970 ffff810121b5f7d0 ffff8101210a4b40
 ffff8101210a4bf8 ffff81011d447e48 ffffffff8020c7dd ffff81011d447ea8
 ffff81011d447cc8 ffff810121c45380 ffff810121c80101 ffff81011d447e48
Call Trace:
 [<ffffffff8024935e>] sysfs_lookup+0x3e/0x1d2
 [<ffffffff8020c7dd>] do_lookup+0xc4/0x1ae
 [<ffffffff80209b8b>] __link_path_walk+0x8c4/0xd5d
 [<ffffffff8020e448>] link_path_walk+0x55/0xd7
 [<ffffffff8020dc81>] current_fs_time+0x3b/0x40
 [<ffffffff80250602>] sysfs_readdir+0x178/0x1cb
 [<ffffffff8022526f>] filldir+0x0/0xb7
 [<ffffffff80213485>] __mark_inode_dirty+0xe0/0x17d
 [<ffffffff8020c5ac>] do_path_lookup+0x1aa/0x20b
 [<ffffffff8021208e>] getname+0x152/0x1b8
 [<ffffffff80223250>] __user_walk_fd+0x37/0x4c
 [<ffffffff80228063>] vfs_stat_fd+0x1b/0x4a
 [<ffffffff8020dc81>] current_fs_time+0x3b/0x40
 [<ffffffff80250602>] sysfs_readdir+0x178/0x1cb
 [<ffffffff8022526f>] filldir+0x0/0xb7
 [<ffffffff80213485>] __mark_inode_dirty+0xe0/0x17d
 [<ffffffff80222f70>] sys_newstat+0x19/0x31
 [<ffffffff80236c7d>] sys_getdents+0xaf/0xbd
 [<ffffffff8022d6a0>] sys_fcntl+0x2d7/0x2e3
 [<ffffffff80258b5e>] system_call+0x7e/0x83


Code: 8a 17 88 d0 2a 06 48 ff c6 84 c0 75 09 84 d2 74 05 48 ff c7
RIP  [<ffffffff802409e6>] strcmp+0x0/0x1a
 RSP <ffff81011d447c00>
CR2: 0000000000003831


Expected results:
udev to create the devices and move on.

Additional info:
If you try and run the udevtrigger by hand after you have started up, it just
hangs.  Also, if you try and run the /sbin/start_udev, it also hangs.  It
appears to be hanging within the scan of the usb devices under /sys/class.
Attached is the strace for the udevtrigger when it hangs.

Comment 1 Norman R. Weathers 2007-02-15 19:10:25 UTC
Created attachment 148137 [details]
strace of udevtrigger running with args --verbose --dry-run

Comment 2 Harald Hoyer 2007-02-16 13:59:37 UTC
Then fix the kernel... 
 sysfs_lookup+0x3e/0x1d2


Note You need to log in before you can comment on or make changes to this bug.